export { C as CompletionBuilder, c as completion } from './completion.builder-Jl9rncqe.cjs';
import { L as Llm } from './llm.types-CPjnMffO.cjs';
import { Text } from '@synstack/text';
import '@synstack/resolved';
import 'zod';

interface Base64Data {
    type: "base64";
    data: string;
    mimeType: string;
}

declare const userMsg: <T extends Array<MessageBuilder.User.TemplateValue> = MessageBuilder.User.TemplateValue[]>(template: TemplateStringsArray, ...values: T) => Llm.User.Message | Promise<Llm.User.Message>;
declare const assistantMsg: <T extends Array<MessageBuilder.Assistant.TemplateValue> = MessageBuilder.Assistant.TemplateValue[]>(template: TemplateStringsArray, ...values: T) => Llm.Assistant.Message | Promise<Llm.Assistant.Message>;
declare namespace MessageBuilder {
    type TemplateFn<TExtraValue extends Text.ExtraObject.Base = never> = (template: TemplateStringsArray, ...values: Array<Text.TemplateValue<TExtraValue>>) => void;
    namespace Assistant {
        type ExtraValues = Llm.Message.Content.ToolCall;
        type TemplateValue = Text.TemplateValue<ExtraValues>;
        type TemplateFn = MessageBuilder.TemplateFn<ExtraValues>;
    }
    namespace User {
        type ExtraValues = Base64Data;
        type TemplateValue = Text.TemplateValue<ExtraValues>;
        type TemplateFn = MessageBuilder.TemplateFn<ExtraValues>;
    }
}

export { Llm, MessageBuilder, assistantMsg, userMsg };
